Bug 1119160 - sound on speakers is missing by default after update to 3.15 kernels
Summary: sound on speakers is missing by default after update to 3.15 kernels
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-14 07:34 UTC by Michal Jaegermann
Modified: 2014-11-01 22:43 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-01 22:43:09 UTC


Attachments (Terms of Use)
results from 0.4.63 alsa-info run (30.33 KB, text/plain)
2014-07-14 08:13 UTC, Michal Jaegermann
no flags Details
essential differences in alsa-info output between broken and unbroken sound (3.36 KB, text/plain)
2014-07-17 13:20 UTC, Michal Jaegermann
no flags Details

Description Michal Jaegermann 2014-07-14 07:34:05 UTC
Description of problem:

After an update to 3.15 kernels there is no sound on speakers after a boot.  Playing with volume controls and muting/unmuting sound does not have any effect.  The only way I found to get speakers back is to plug-in headphones, where sounds appears,
and unplug.  After that operation speakers are active again - until the next reboot.  A suspend operation does not change their
status (neither active, nor inactive).

A hardware in question is ASUS K52J, x86_64, laptop.  For now I did not have an opportunity to try that elsewhere.

Version-Release number of selected component (if applicable):
kernel-3.15.3-200.fc20.x86_64
kernel-3.15.4-200.fc20.x86_64

How reproducible:
always


Additional info:
Could be some "difference of opinions" between kernel, alsa and pulseaudio but pulseaudio was updated last time in April and alsa components nearly a year ago.  Up to the latest kernel updates headphones were not needed for "waking up" speakers and headphonse are quite often not on hands.

Comment 1 Michal Jaegermann 2014-07-14 08:13:41 UTC
Created attachment 917700 [details]
results from 0.4.63 alsa-info run

Speakers were "activates", by a method described in this report, when this script was running.

Comment 2 Michal Jaegermann 2014-07-17 13:20:34 UTC
Created attachment 918701 [details]
essential differences in alsa-info output between broken and unbroken sound

This diff is for equally broken 3.15.5-200.fc20.x86_64 kernel.  The first run of alsa-info was after a reboot with no sound on speakers and the second after plugging and unplugging headphones to restore a speaker sound.

Comment 3 Leslie Satenstein 2014-11-01 16:50:18 UTC
vmlinuz-3.17.1-304.fc21.x86_64

Sound cards are not detected.  Dummy card shown

Previous version 

vmlinuz-3.17.1-303.fc21.x86_64  both sound cards detected, sound works.

Comment 4 Michal Jaegermann 2014-11-01 22:43:09 UTC
(In reply to Leslie Satenstein from comment #3)
> vmlinuz-3.17.1-304.fc21.x86_64
> 
> Sound cards are not detected.  Dummy card shown

Would you, please, open another bug targetting Fedora 21 instead of 20?  As a matter of fact with the current F20 kernel-3.16.6-200.fc20.x86_64, and likely earlier as well, that particular bug from the original report is gone.  Regrettably I have no idea what actually fixed that but the fact remains that this is now ok (although, for example, skype still does not want produce sound for me on 64-bit F20 installations while it worked fine in the past).


Note You need to log in before you can comment on or make changes to this bug.